local mod = DBM:NewMod("Battlestandards","DBM-Battlestandards")
local L			= mod:GetLocalizedStrings();

mod:SetZone(DBM_DISABLE_ZONE_DETECTION);

mod:RegisterEvents(
    "SPELL_CAST_SUCCESS 23034 23035"
)

mod:AddBoolOption("ShowAlertsForOpposingFaction", true)
mod:RemoveOption("HealthFrame")
mod:RemoveOption("SpeedKillTimer")

function mod:SPELL_CAST_SUCCESS(args)

     local playerName = args.sourceName;
      
     local factionGroup, factionName = UnitFactionGroup(playerName);
	 
	 if ShowAlertsForOpposingFaction == false and IsOpposingFaction(factionName) then
		return;
	 end

     local factionIcon = GetFactionIcon(factionName)

     local message = mod:NewAnnounce("WarnStandardPlaced",2,factionIcon);
     message:Show(playerName);
	 
     local bar = mod:NewTimer(120,"StandardExpiryTimer",factionIcon);
     bar:Start(playerName,factionName);
       
     local expiredMessage = mod:NewAnnounce("WarnStandardExpired",4,factionIcon);
     expiredMessage:Schedule(120,playerName,factionName);
       
end

local function IsOpposingFaction(factionName)
	local playerFactionGroup, playerFactionName = UnitFactionGroup(playerName);
	if factionName == playerFactionName then
		return false;
	else
		return true;
	end
end

local function GetFactionIcon(factionName)
	if factionName == "Alliance" then
         return "Interface\\Icons\\INV_BannerPVP_02.blp";
	 elseif factionName == "Horde" then
		 return"Interface\\Icons\\INV_BannerPVP_01.blp";
     end
end
